Name:           htop
Version:        1.0.1
Release:        1

Summary:        Interactive text-mode process viewer for Linux
License:        GPLv2+
Group:          Monitoring
URL:            http://htop.sourceforge.net/
Source0:        http://ovh.dl.sourceforge.net/htop/htop-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  ncurses-devel
BuildRequires:  libncursesw-devel

%description
htop is an interactive process viewer for Linux, similar to top.
It requires ncurses. Tested with Linux 2.4 and 2.6.

Some advantages over top:

* you can scroll the list vertically and horizontally to see
  all processes and complete command lines
* htop starts faster than top
* you don't need to type the process number to kill a process
* you don't need to type the process number or the priority value to
  renice a process
* htop supports mouse operation

%prep
%setup -q

%build
%{configure2_5x}
%{make}

%install
%{makeinstall_std}

desktop-file-install --vendor="" \
  --add-category="Monitor" \
  --remove-key="Path" \
  --remove-key="Version" \
  --remove-category="Application" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


%files
%doc README AUTHORS NEWS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man1/%{name}.*


%changelog
* Thu Feb 16 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.0.1-1
+ Revision: 775471
- version update 1.0.1

* Wed Nov 23 2011 Alexander Khrukin <akhrukin@mandriva.org> 1.0-1
+ Revision: 732817
- version update to 1.0

* Fri Dec 31 2010 trem <trem@mandriva.org> 0.9-1
+ Revision: 626904
- update to 0.9

* Mon Jul 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.8.3-2mdv2011.0
+ Revision: 551274
- rebuild

* Tue Jun 23 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.3-1mdv2010.0
+ Revision: 388744
- update to new version 0.8.3

* Fri Jun 12 2009 Jérôme Quelin <jquelin@mandriva.org> 0.8.2-1mdv2010.0
+ Revision: 385443
- adding missing buildrequires:
- update to 0.8.2
- removing tgid patch, now integrated upstream

* Fri May 22 2009 Jérôme Quelin <jquelin@mandriva.org> 0.8.1-2mdv2010.0
+ Revision: 378657
- fix bug #50926: htop doesn't display treeview if user thread aren't displayed

* Tue Oct 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.1-1mdv2009.1
+ Revision: 296188
- update to new version 0.8.1

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.8-2mdv2009.0
+ Revision: 267106
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat May 10 2008 Funda Wang <fwang@mandriva.org> 0.8-1mdv2009.0
+ Revision: 205412
- update to new version 0.8

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 24 2007 Funda Wang <fwang@mandriva.org> 0.7-1mdv2008.1
+ Revision: 111757
- New version 0.7

* Sat Sep 29 2007 Emmanuel Andry <eandry@mandriva.org> 0.6.6-3mdv2008.0
+ Revision: 93905
- rebuild for bad signature (bug #34248)

* Sun Sep 16 2007 Emmanuel Andry <eandry@mandriva.org> 0.6.6-2mdv2008.0
+ Revision: 88672
- drop old menu
- make desktop file validation pass

* Sat Jun 02 2007 David Walluck <walluck@mandriva.org> 0.6.6-1mdv2008.0
+ Revision: 34416
- 0.6.6
- use pristine tarball
- FIXME: menu icon is not in the package
- replace $RPM_BUILD_ROOT with %%{buildroot}
- fix mixture of tabs and spaces
- replace menu needs incorrect terminal with text

